Bug 501584 - Initial initramfs created during installation has no keymap support
Initial initramfs created during installation has no keymap support
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
Reported: 2009-05-19 16:43 EDT by Andreas Thienemann
Modified: 2013-01-10 00:13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-01-12 10:32:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2009-05-19 16:43:41 EDT
Description of problem:
The initramfs created during anaconda installation has no support for the local keymap.
This is problematic when using cryptoroot as the password has to be entered with the keymap not matching the keyboard.

Rerunning mkinitrd after installation fixes this. Subsequent boots have the correct keymaps installed and the password entry works as expected.

Extracting the initial and the remade initramfs images and comparing the file lists gives the following: (a == orig, b == remade)

[root@dyn112 tmp]# diff -uNr a.lst b.lst 
--- a.lst       2009-05-20 00:21:04.955586740 +0200
+++ b.lst       2009-05-20 00:21:12.130592458 +0200
@@ -7,6 +7,8 @@
@@ -16,6 +18,9 @@
@@ -94,6 +99,28 @@
[root@dyn112 tmp]# 

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Andreas Thienemann 2009-05-19 17:18:03 EDT
For details the initrd images are uploaded:

The initially generated initrd from anaconda:

The regnerated one after installation:
Comment 2 Peter Jones 2009-05-29 17:06:34 EDT
Adding "kbd" to mkinitrd's deps seems to fix this issue.

* Fri May 29 2009 Peter Jones <pjones@redhat.com> - 6.0.86-2
- Require "kbd" package so keyboard settings will work right after initial
  installation. (#501584)
Comment 3 Jesse Keating 2009-06-01 13:57:28 EDT
Proposing for the blocker list, to get it in the next RC.
Comment 4 James Laska 2009-06-03 08:35:25 EDT
andreas: this issue has been fixed in Rawhide (as of 2009-06-02).  Are you able to confirm that rawhide behaves as expected with regards to local keymaps?
Comment 5 James Laska 2009-06-05 15:20:18 EDT
Andreas:  Peter Jones suggested the following steps to reproduce.  Using these steps, are you able to confirm the issue has been resolved?  

1) install with a foreign keyboard that has a known keymap (i.e. "keyboard cz-us-qwertz" in kickstart)
2) select encryption
3) set the encryption password to something that uses your keyboard's "y" key.  I recommend what would be "qwertyqwerty", except since you're in a weird keymap that's "qwertzqwertz"
4) reboot, and type qwertyqwerty in the box.  If it works, it worked.  If not, try "qwertzqwertz".  If that works, then it didn't.

If we are unable to verify this fix prior to release, it is possible this issue will remain in F-11 final.  Any help you can lend is appreciated!
Comment 6 Bug Zapper 2009-06-09 12:07:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 7 Hans de Goede 2010-01-12 10:32:30 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.

Note You need to log in before you can comment on or make changes to this bug.